For the complete documentation index, see llms.txt. This page is also available as Markdown.

Schedulers

Create Backup Scheduler

post

Creates a backup Scheduler. You must use one of the supported scheduler types:

  • full backup

  • templated backup

The templateId parameter is optional and should only be provided for template backups.

The runAt time must be unique because schedulers can't run at the same time.

Autorizações
AuthorizationstringObrigatório

Bearer <access_token>

Parâmetros de rota
connectionIdnumberObrigatório
Corpo
typestring · enumObrigatórioExample: full backupValores possíveis:
timezonestringObrigatório

User timezone

Example: UTC
descriptionstringObrigatórioExample: Test scheduler description
namestringObrigatório

Scheduler name

Respostas
201

Returns Id of created Scheduler

application/json
idnumberObrigatório
post/api/v1/connections/{connectionId}/schedulers/backup
POST /api/v1/connections/{connectionId}/schedulers/backup HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 557

{
  "type": "full backup",
  "timezone": "UTC",
  "configuration": {
    "frequency": "weekly",
    "repeatOn": {
      "type": "weekly",
      "daysOfWeek": [
        0,
        1
      ],
      "dayOfMonth": "1",
      "weekDayOfMonth": {
        "firstOrLast": "first",
        "weekDay": 1
      }
    },
    "repeatEvery": "2",
    "runAt": "12:00"
  },
  "description": "Test scheduler description",
  "name": "text",
  "jobSettings": {
    "isIncludeMetadata": true,
    "isIncludeBinaryObjects": true,
    "isIncludeBigObjects": true,
    "isIncludeFeedObjects": true,
    "isIncludeShareObjects": true,
    "isIncludeHistoryObjects": true,
    "isIncludeCustomMetadataTypeObjects": true,
    "isIncludeTagObjects": true,
    "templateId": 1
  }
}
{
  "id": 1
}

Get list of Schedulers

get

Returns a list of Backup & Archive Schedulers for the Connection. You can also pass templateId to get Schedulers related to a specific template

Autorizações
AuthorizationstringObrigatório

Bearer <access_token>

Parâmetros de rota
connectionIdnumberObrigatório
Parâmetros de consulta
templateIdnumberOpcional
Respostas
200

Returns list of Backup & Archive Schedulers

application/json
typestring · enumObrigatórioExample: archiveValores possíveis:
timezonestringObrigatório

User timezone

Example: UTC
isDefaultbooleanObrigatório
idnumberObrigatório
namestringObrigatório
templateNamestringOpcional
templateIdnumberOpcional
get/api/v1/connections/{connectionId}/schedulers
GET /api/v1/connections/{connectionId}/schedulers HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "type": "archive",
    "timezone": "UTC",
    "isDefault": true,
    "id": 1,
    "name": "text",
    "configuration": {
      "frequency": "weekly",
      "repeatOn": {
        "type": "weekly",
        "daysOfWeek": [
          0,
          1
        ],
        "dayOfMonth": "1",
        "weekDayOfMonth": {
          "firstOrLast": "first",
          "weekDay": 1
        }
      },
      "repeatEvery": "2",
      "runAt": "12:00"
    },
    "templateName": "text",
    "templateId": 1
  }
]

Get Scheduler by Id

get

Returns the Backup & Archive Scheduler by Id

Autorizações
AuthorizationstringObrigatório

Bearer <access_token>

Parâmetros de rota
idnumberObrigatório
connectionIdnumberObrigatório
Respostas
200

Returns the Backup & Archive Scheduler by Id

application/json
connectionIdnumberObrigatório
typestring · enumObrigatórioExample: archiveValores possíveis:
timezonestringObrigatório

User timezone

Example: UTC
isDefaultbooleanObrigatório
descriptionstringObrigatórioExample: Test scheduler description
idnumberObrigatório
namestringObrigatório
templateIdnumberOpcional
templateNamestringOpcional
get/api/v1/connections/{connectionId}/schedulers/backup/{id}
GET /api/v1/connections/{connectionId}/schedulers/backup/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "connectionId": 1,
  "type": "archive",
  "timezone": "UTC",
  "isDefault": true,
  "description": "Test scheduler description",
  "id": 1,
  "name": "text",
  "templateId": 1,
  "templateName": "text",
  "configuration": {
    "frequency": "weekly",
    "repeatOn": {
      "type": "weekly",
      "daysOfWeek": [
        0,
        1
      ],
      "dayOfMonth": "1",
      "weekDayOfMonth": {
        "firstOrLast": "first",
        "weekDay": 1
      }
    },
    "repeatEvery": "2",
    "runAt": "12:00"
  },
  "jobSettings": {
    "isIncludeMetadata": true,
    "isIncludeBinaryObjects": true,
    "isIncludeBigObjects": true,
    "isIncludeFeedObjects": true,
    "isIncludeShareObjects": true,
    "isIncludeHistoryObjects": true,
    "isIncludeCustomMetadataTypeObjects": true,
    "isIncludeTagObjects": true,
    "templateId": 1
  }
}

Atualizado

Isto foi útil?